Show / Hide Table of Contents

# Class GameVersionConverter

Converts a GameVersion to and from a string (e.g. `"2010.01.01.1234.5678"`).

##### Inheritance

System.Object
Newtonsoft.Json.JsonConverter
GameVersionConverter

##### Inherited Members

Newtonsoft.Json.JsonConverter.CanRead
Newtonsoft.Json.JsonConverter.CanWrite
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameVersionConverter : JsonConverter

### Methods

| Improve this Doc View Source

#### CanConvert(Type)

Determines whether this instance can convert the specified object type.

##### Declaration

    public override bool CanConvert(Type objectType)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | objectType | Type of the object.

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this instance can convert the specified object type; otherwise, `false`.

##### Overrides

Newtonsoft.Json.JsonConverter.CanConvert(System.Type)
| Improve this Doc View Source

#### ReadJson(JsonReader, Type, Object, JsonSerializer)

Reads the JSON representation of the object.

##### Declaration

    public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer)

##### Parameters

Type | Name | Description
--- | --- | ---
Newtonsoft.Json.JsonReader | reader | The Newtonsoft.Json.JsonReader to read from.
System.Type | objectType | Type of the object.
System.Object | existingValue | The existing property value of the JSON that is being converted.
Newtonsoft.Json.JsonSerializer | serializer | The calling serializer.

##### Returns

Type | Description
--- | ---
System.Object | The object value.

##### Overrides

Newtonsoft.Json.JsonConverter.ReadJson(Newtonsoft.Json.JsonReader, System.Type, System.Object, Newtonsoft.Json.JsonSerializer)
| Improve this Doc View Source

#### WriteJson(JsonWriter, Object, JsonSerializer)

Writes the JSON representation of the object.

##### Declaration

    public override void WriteJson(JsonWriter writer, object value, JsonSerializer serializer)

##### Parameters

Type | Name | Description
--- | --- | ---
Newtonsoft.Json.JsonWriter | writer | The Newtonsoft.Json.JsonWriter to write to.
System.Object | value | The value.
Newtonsoft.Json.JsonSerializer | serializer | The calling serializer.

##### Overrides

Newtonsoft.Json.JsonConverter.WriteJson(Newtonsoft.Json.JsonWriter, System.Object, Newtonsoft.Json.JsonSerializer)